Hello,
Thanks for the answer, I found the problem... I was testing it with IE 8.0 
Portable, with the normal version it works perfect.

Regards.

> Date: Mon, 18 Oct 2010 01:41:45 -0700
> Subject: [Proto-Scripty] Re: Prototype Incompatible with IE 8.0
> From: t...@crowdersoftware.com
> To: prototype-scriptaculous@googlegroups.com
> 
> Hi,
> 
> Obviously, Prototype _does_ work with IE8. :-) Prototype would have to
> be a dead project for it not to support IE8 support by now. This works
> just fine, for instance, not raising any errors: http://jsbin.com/iripe4
> In fact, if you review the change log, you'll see some IE8-specific
> fixes in 1.6.1.
> 
> If _all_ you're doing is including the Prototype script file and an
> error is being caused, then there must be something about your
> environment that's different than the majority of users. Do you have
> any idea what that might be? Some plug-in or extension or non-standard
> whatsit?
> 
> But if you have any other script code on the page as well, then
> perhaps the issue is in your code, some incompatibility with
> Prototype. The line you quoted is from the `Object.extend` function,
> which is used extensively (no pun) throughout Prototype. It loops
> through a source object's properties and applies them to a destination
> object. There's nothing tricky about it at all. The only issue I could
> see would be if you tried to use it on a host-provided destination
> object that doesn't allow custom properties.
> 
> FWIW,
> --
> T.J. Crowder
> Independent Software Engineer
> tj / crowder software / com
> www / crowder software / com
> 
> On Oct 18, 1:18 am, Striker <rui-p...@hotmail.com> wrote:
> > Hello,
> > I am using prototype.js in my website, and it is working with all
> > browsers, except in IE 8.0.
> > When I call the file (<script type="text/javascript" src="includes/
> > prototype.js"></script>), internet explorer give me an error, that
> > allways point to this declaration "destination[property] =
> > source[property];".
> > I have no idea what could be the problem, but i have already tested
> > the v1.6.1, and 1.7rc2, and i have the same problem.
> >
> > I was thinking that this problem was mine, because i never saw anyone
> > reporting this error, but i requested to a friend to test with IE 8.0
> > and the error is the same...
> >
> > I hope that someone can help me.
> >
> > Regards.
> 
> -- 
> You received this message because you are subscribed to the Google Groups 
> "Prototype & script.aculo.us" group.
> To post to this group, send email to prototype-scriptacul...@googlegroups.com.
> To unsubscribe from this group, send email to 
> prototype-scriptaculous+unsubscr...@googlegroups.com.
> For more options, visit this group at 
> http://groups.google.com/group/prototype-scriptaculous?hl=en.
> 
                                          

-- 
You received this message because you are subscribed to the Google Groups 
"Prototype & script.aculo.us" group.
To post to this group, send email to prototype-scriptacul...@googlegroups.com.
To unsubscribe from this group, send email to 
prototype-scriptaculous+unsubscr...@googlegroups.com.
For more options, visit this group at 
http://groups.google.com/group/prototype-scriptaculous?hl=en.

Reply via email to